#
# spec file for package python-requests-kerberos
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-requests-kerberos
Version:        0.8.0
Release:        3.2
Summary:        A Kerberos authentication handler for python-requests
License:        ISC
Group:          Development/Languages/Python
Url:            https://github.com/requests/requests-kerberos
Source:         https://pypi.python.org/packages/source/r/requests-kerberos/requests-kerberos-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-requests
BuildRequires:  python-setuptools
Requires:       python-pykerberos >= 1.1.8
Requires:       python-requests >= 1.1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Requests is an HTTP library, written in Python, for human beings. This library
adds optional Kerberos/GSSAPI authentication support and supports mutual
authentication. Basic GET usage:

%prep
%setup -q -n requests-kerberos-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 11 2016 dmueller@suse.com
- fix requires
* Tue Feb  9 2016 tbechtold@suse.com
- Initial packaging (version 0.8.0)
